[**@rxap/data-source v19.0.2-dev.3**](../README.md)

***

[@rxap/data-source](../globals.md) / staticDataSource

# Function: staticDataSource()

> **staticDataSource**\<`Data`\>(`data`, `metadata`): [`StaticDataSource`](../classes/StaticDataSource.md)\<`Data`\>

Defined in: [packages/angular/data-source/src/lib/static.data-source.ts:122](https://gitlab.com/rxap/packages/-/blob/2285a983e818fd8092add2d1f91bf248f42298ff/packages/angular/data-source/src/lib/static.data-source.ts#L122)

## Type Parameters

• **Data**

## Parameters

### data

[`StaticDataSourceData`](../type-aliases/StaticDataSourceData.md)\<`Data`\>

### metadata

[`StaticDataSourceMetadata`](../interfaces/StaticDataSourceMetadata.md)\<`Data`\> = `...`

## Returns

[`StaticDataSource`](../classes/StaticDataSource.md)\<`Data`\>
